import { BatchGetItemInput } from 'aws-sdk/clients/dynamodb';
import { Observable } from 'rxjs/Observable';
import { ModelConstructor } from '../../model/model-constructor';
import { SessionValidityEnsurer } from '../session-validity-ensurer.type';
import { TableNameResolver } from '../table-name-resolver.type';
export declare type BatchGetItemResponse = {
    [tableName: string]: any[];
};
export declare class BatchGetRequest {
    private tableNameResolver;
    private readonly dynamoRx;
    private tables;
    readonly params: BatchGetItemInput;
    constructor(tableNameResolver?: TableNameResolver, sessionValidityEnsurer?: SessionValidityEnsurer);
    /**
     * @param {ModelConstructor<T>} modelClazz
     * @param {any[]} keys either a simple string for partition key or an object with partitionKey and sortKey
     * @returns {BatchGetSingleTableRequest}
     */
    forModel<T>(modelClazz: ModelConstructor<T>, keys: any[]): BatchGetRequest;
    execFullResponse(): void;
    exec(): Observable<BatchGetItemResponse>;
    private getTableName(modelClazz, tableNameResolver);
}
