import { BatchGetItemInput } from 'aws-sdk/clients/dynamodb';
import { Observable } from 'rxjs/Observable';
import { Metadata } from '../../../decorator/metadata/metadata';
import { ModelConstructor } from '../../../model/model-constructor';
import { DynamoRx } from '../../dynamo-rx';
import { BatchGetSingleTableResponse } from './batch-get-single-table.response';
export declare class BatchGetSingleTableRequest<T> {
    readonly dynamoRx: DynamoRx;
    readonly params: BatchGetItemInput;
    readonly modelClazz: ModelConstructor<T>;
    readonly tableName: string;
    private _metadata;
    constructor(dynamoRx: DynamoRx, modelClazz: ModelConstructor<T>, tableName: string, keys: any[]);
    readonly metaData: Metadata<T>;
    execFullResponse(): Observable<BatchGetSingleTableResponse<T>>;
    exec(): Observable<T[]>;
    private addKeyParams(keys);
}
